package com.red.circle.order.inner.model.enums.inapp;

/**
 * @author pengliang on 2020/5/16
 */
public enum PurchaseHistoryStatus {

  /**
   * 完成
   */
  COMPLETE("已完成"),

  /**
   * 已退款
   */
  REIMBURSE("已退款");

  private final String desc;

  PurchaseHistoryStatus(String desc) {
    this.desc = desc;
  }

  public static String getDesc(String key) {
    try {
      return PurchaseHistoryStatus.valueOf(key).desc;
    } catch (Exception ignore) {

    }
    return null;
  }
}
